For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList all organisations
      • POSTCreate an organisation
      • GETGet organisation by ID
      • PUTUpdate organisation (full)
      • DELDelete organisation
      • PATCHUpdate organisation (partial)
Calculator
LogoLogo
EndpointsOrganisations

Get organisation by ID

GET
https://api.finput.com.au/api/v1/organisations/:id
GET
/api/v1/organisations/:id
$curl https://api.finput.com.au/api/v1/organisations/1 \
> -H "Authorization: Bearer <token>"
1{
2 "id": 1,
3 "name": "name",
4 "type": "f",
5 "abn": "abn",
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z"
8}
Was this page helpful?
Previous

Update organisation (full)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired

Response

Organisation details
idinteger
namestring
typeenum

Organization type:

  • f - Financier
  • b - Broker
  • u - User
Allowed values:
abnstring
created_atdatetimeDefaults to 1970-01-01T00:00:00.000Z
updated_atdatetimeDefaults to 1970-01-01T00:00:00.000Z

Errors

404
Get Organisation Request Not Found Error